---
layout: markdown_page
title: "Category Direction - Portfolio Planning"
description: GitLab supports enterprise Agile portfolio and project management frameworks, including Scaled Agile Framework (SAFe), Scrum, and Kanban. Learn more!
canonical_path: "/direction/plan/portfolio_planning/"
---

- TOC
{:toc}

## Portfolio Management

|                       |                               |
| -                     | -                             |
| Stage                 | [Plan](/direction/plan/)      |
| Maturity              | [Viable](/direction/maturity/) |
| Content Last Reviewed | `2021-09-15`                  |


## Feature - Epics

### Overview

#### Purpose

Large enterprises are continually working on increasingly more complex and larger scope initiatives that cut across multiple teams and even departments, spanning months, quarters, and even years. GitLab's vision is to support organizing these initiatives into powerful multi-level work breakdown plans and to enable tracking the execution of them over time, to be extremely simple and insightful. In addition, GitLab should highlight which opportunities have higher ROI, helping teams make strategic business planning decisions.

GitLab supports popular [enterprise Agile portfolio and project management frameworks](https://about.gitlab.com/solutions/agile-delivery/),
including Scaled Agile Framework [(SAFe)](https://about.gitlab.com/solutions/agile-delivery/scaled-agile/), [Scrum, and Kanban](https://about.gitlab.com/solutions/agile-delivery/).

![epicstree-direction.png](/direction/plan/portfolio_management/epicstree-direction.png)

#### Top Strategy Item(s)

During FY22-Q2 and FY22-Q3, we will pause new feature work on epics and focus on [converting epics to issue types](https://gitlab.com/groups/gitlab-org/-/epics/6033). 

1. Complete[Program/Epic Level Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864) - targeting 14.0
1. Converting epics to issue types will align our work towards [maturing epics](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/80922)

To drive our vision for Epics and how they support our overall strategy for Product Planning, we are continuing to develop the building blocks for deeper more expansive program and portfolio functionality. Currently we are validating and tracking the following big ticket items :

1. [Program/Epic Level Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864) - targeting 14.0
1. [Health/Risk Reporting](https://gitlab.com/gitlab-org/gitlab/issues/202420)
1. [Epic Dependency Mapping](https://gitlab.com/groups/gitlab-org/-/epics/2581)
1. [Tracking Epic Progress](https://gitlab.com/groups/gitlab-org/-/epics/76)

Recently Completed:

1. 13.3 [Epic Swimlanes on Boards](https://gitlab.com/gitlab-org/gitlab/issues/7371)


### What's next & why

Now that our users can properly build out epics as a collection of associated issues, we are focusing on developing advanced functionality to make Epics more powerful planning artifacts. To begin, we will be pursuing multiple enhancements to the current Epic planning artifact and how it relates to Issues, Milestones, and our Roadmaps: 

1. [Epic Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864)
1. [Converting epics to issue types](https://gitlab.com/groups/gitlab-org/-/epics/6033)

GitLab's multi-level work breakdown planning capabilities will include [related epic support](https://gitlab.com/groups/gitlab-org/-/epics/2581)
and [issues](https://gitlab.com/groups/gitlab-org/-/epics/2032), allowing enterprises to capture and manage:

- Portfolios, programs, and projects across their organization via [Groups](https://docs.gitlab.com/ee/user/group/)
- High-level [strategic initiatives and OKRs (objectives and key results)](https://gitlab.com/gitlab-org/gitlab/issues/36775).
- Dependency management both for [epics](https://gitlab.com/groups/gitlab-org/-/epics/2581) and [issues](https://gitlab.com/groups/gitlab-org/-/epics/2032).
- [Project Health/Risk](https://gitlab.com/groups/gitlab-org/-/epics/2978) 

### Maturity Plan

This category is currently at the **viable** level, and our next maturity target is **complete** by 2021-10-30.

We are tracking progress against this target via [this epic](https://gitlab.com/groups/gitlab-org/-/epics/967).

We are also tracking our progress toward **lovable** via [this epic](https://gitlab.com/groups/gitlab-org/-/epics/968).

### Competitive landscape

Leveraging Epics as a building block for Product and Portfolio Management is a common use case in the industry, with many are established players such as Jira, Clarity, Planview, VersionOne, AgileCraft, and ServiceNow offering similar functionality. Many of these tools were developed targeted at truly enterprise cases, allowing users to track large business initiatives across an organization. Customers using these tools typically have another set of tools for the product-development teams to turn these high-level business initiatives into scoped out detailed planned work and actual software deliverables. Therefore, our competitive advantage is having _both_ (the high-level initiatives, and the product-development-level abstractions) in a single tool, that is fully integrated for a seamless experience. Our strategy is building _toward_ those enterprise use cases, starting with the product-development baseline abstractions. 


### Top User Issue(s)

As the usage of Epics increase and more use cases and needs are being surfaced, we are tracking our most popular issues in the category. In particular, we are focusing on:

1. [Enable mapping Epics as "Related To" other Epics](https://gitlab.com/gitlab-org/gitlab/-/issues/202431)
1. [Program/Epic Level Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864) 
1. [Provide Project Level Epics](https://gitlab.com/gitlab-org/gitlab/-/issues/31840)
1. [Calendar showing issues on issue due dates](https://gitlab.com/gitlab-org/gitlab/-/issues/25272)
1. [Epic Description Template](https://gitlab.com/gitlab-org/gitlab/-/issues/37079)
1. [Epic visibility on board](https://gitlab.com/gitlab-org/gitlab/-/issues/39280) 

### Top Customer Success/Sales Issue(s)

To support our Customer Success and Sales departments, we are validating and working towards critical items to enable them to serve additional prospects and customers:

1. [Enable mapping Epics as "Related To" other Epics](https://gitlab.com/gitlab-org/gitlab/-/issues/202431)
1. [Program/Epic Level Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864)
1. [Provide Project Level Epics](https://gitlab.com/gitlab-org/gitlab/-/issues/31840) 



## Feature - Roadmaps

### Overview

#### Purpose

Large enterprises are continually working on increasingly more complex and larger scope initiatives that cut across multiple teams and departments, often spanning months, quarters, and even years. GitLab's vision is to provide robust, multi-level roadmaps that enable businesses to track current effort in flight, and plan upcoming work to best utilize their resources and focus on the right priorities. GitLab provides timeline-based roadmap visualizations to enable users plan from shorter delivery increments (e.g. 2 week sprints for development teams) to larger time scales (e.g. quarterly or annual strategic initiatives for entire departments). 

![roadmaps-direction.png](/direction/plan/portfolio_management/roadmaps-direction.png)

#### Top Strategy Item(s)

During FY22-Q2 and FY22-Q3, we will pause new feature work on roadmaps and focus on [converting epics to issue types](https://gitlab.com/groups/gitlab-org/-/epics/6033). This work will give us a solid foundation to build future roadmap capabilites. 

Currently we are validating and tracking the following future big ticket items :

1. [Provide multiple configurable Roadmaps](https://gitlab.com/gitlab-org/gitlab/issues/3640)
1. [Enhance Roadmaps with Drag and Drop functionality](https://gitlab.com/gitlab-org/gitlab/issues/7725)
1. [Show Dependencies and Critical Dependency Paths on Roadmap](https://gitlab.com/gitlab-org/gitlab/issues/33587)


### What's Next & Why

To move towards our long term vision of robust roadmapping and planning, we are focusing on providing a solid foundation of functionality that we can build on in the future. We are working to ensure that the roadmap view provides the information you need to understand current state of work, identify blockers or bottlenecks, and ensure upcoming work is prepared for.

To begin, we will be releasing multiple enhancements to the current Roadmap view:

1. [New collaboration object](https://gitlab.com/gitlab-org/gitlab/-/issues/324889)
1. [Better Filtering on Roadmaps](https://gitlab.com/gitlab-org/gitlab/-/issues/212248)
1. [Surface Dependencies on Roadmap](https://gitlab.com/gitlab-org/gitlab/-/issues/33587)

### Maturity Plan

This category is currently at the **minimal** level, and our next maturity target is **viable** by 2021-09-28 see [MR](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/80922). We are tracking progress against this target via [this epic](https://gitlab.com/groups/gitlab-org/-/epics/1998).

We are also tracking our progress toward **complete** via [this epic](https://gitlab.com/groups/gitlab-org/-/epics/2002).

### Competitive Landscape

The Roadmapping space is large and is made up of stand alone tools, and as additional functionality on top of software planning systems like AHA.io, Roadmunk, Productboard, Monday.com, Trello, and Productplan. Many of these  were developed targeted at truly enterprise cases, allowing users to track large business initiatives across an organization. Customers using these tools often have another set of tools for the product-development teams to turn these high-level business initiatives into scoped out detailed planned work and actual software deliverables. Therefore, our competitive advantage is having _both_ (the high-level initiatives, and the product-development-level abstractions) in a single tool, that is fully integrated for a seamless experience. In addition to the enterprise opportunity, we believe roadmapping can be also be beneficial to smaller organizations and individual teams to chart out the future and report on progress. Our strategy is building _toward_  enterprise use cases starting with the product-development baseline abstractions. 


### Top User Issue(s)

As the usage of Roadmaps increase and more use cases and needs are being surfaced, we are tracking our most popular issues in the category. In particular, we are focusing on:

1. [Surface Dependencies on Roadmap](https://gitlab.com/gitlab-org/gitlab/-/issues/33587)
1. [Introduce colors for epics (and roadmap view in particular)](https://gitlab.com/gitlab-org/gitlab/-/issues/7641)
1. [Export roadmap to PDF view for executive consumption](https://gitlab.com/gitlab-org/gitlab/-/issues/6896) 
1. [Better Filtering on Roadmaps](https://gitlab.com/groups/gitlab-org/-/epics/2923)


### Top Customer Success/Sales Issue(s)

To support our Customer Success and Sales departments, we are validating and working towards critical items to enable them to serve additional prospects and customers:

1. [Surface Dependencies on Roadmap](https://gitlab.com/gitlab-org/gitlab/-/issues/33587) 
1. [Introduce colors for epics (and roadmap view in particular)](https://gitlab.com/gitlab-org/gitlab/-/issues/7641)



